KDEINIT(1)

NAME
kdeinit - KDE process launcher

SYNOPSIS
kdeinit [options]

DESCRIPTION
kdeinit is a process launcher similar to init used for booting UNIX.

kdeinit is used to start all other KDE programs. It can start binary program files as well as kdeinit loadable modules (KLMs).

When kdeinit starts for the first time it launches dcopserver, klauncher, kded and some additional programs specified on its command line in the startkde script (normally kcminit and knotify).

The kdeinit master process can be used to start additional KDE programs via kdeinit_wrapper, kshell and kwrapper.

KLMs are dynamic libraries that work like binary programs but can be started more efficiently. Starting KLMs via kdeinit is much faster and more memory efficient because kdeinit is linked against all libraries a standard KDE application needs. To start a KLM kdeinit forks and loads the dynamic library.

OPTIONS

--no-kded
    Do not start kded

--suicide
    Terminate when no KDE applications are left running

FILES

  /usr/lib/kde3
directory with KLMs (kdeinit loadable modules)

SEE ALSO
dcopserver(1), kded(1), kcminit(1), kdeinit_wrapper(1), klauncher(1), kshell(1), kwrapper(1), startkde(1)

AUTHORS
Waldo Bastian <bastian@kde.org>
Mario Weilguni <mweilguni@sime.com>
Lubos Lunak <l.lunak@kde.org>
Please use http://bugs.kde.org to report bugs, do not mail the authors directly.

This manual page was written by Holger Hartmann <Holger_Hartmann@gmx.de> for the Debian Project (but may be used by others). Permission is granted to copy, distribute and/or modify this document under the terms of the GNU General Public License, Version 2 or any later version published by the Free Software Foundation.

On Debian systems, the complete text of the GNU General Public License can be found in /usr/share/common-licenses/GPL.